"use client";
import Image from "next/image";

import { Locale } from "@/i18n/routing";
import { useBasicInfo } from "@/servers/data/use-basicinfo";
import { Mail, MapPin, Phone } from "lucide-react";
import { useLocale, useTranslations } from "next-intl";

function ContentCards() {
	const t = useTranslations("RequestForEmployment");
	const locale = useLocale() as Locale;

	const { texts } = useBasicInfo();

	return (
		<div className="flex flex-col gap-[51px]">
			<div className="relative max-w-[418px] overflow-hidden rounded-[999px] bg-[#606676] px-8 py-3">
				<div className="flex items-center justify-between gap-1">
					<div className="z-10 text-white">
						<p className="mb-1 text-sm">{t("OurLocation")}</p>
						<p className="text-base font-normal">{texts?.address_footer?.[locale]}</p>
					</div>
					<div className="">
						<div
							className="flex h-[54px] w-[54px] items-center justify-center rounded-full bg-white"
							style={{ boxShadow: "12px 12px 24px 0px #00000080" }}
						>
							<MapPin className="text-custom-primary-accent" />
						</div>
					</div>
				</div>

				<Image src={"/ornament-2.png"} alt="map" className="z-0" fill />
			</div>
			<div
				className="rounded-[999px] bg-custom-background-light px-8 py-3"
				style={{ border: "1px solid #DEDEDE" }}
			>
				<div className="flex items-center justify-between gap-8">
					<div className="text-[#606676]">
						<p className="mb-1 text-sm">{t("OurPhoneNumber")}</p>
						<p className="text-left">{texts?.footer_phone}</p>
					</div>
					<div className="">
						<div
							className="flex h-[54px] w-[54px] items-center justify-center rounded-full bg-[#606676]"
							style={{ boxShadow: "6px 6px 12px 0px #B3BCD2BF" }}
						>
							<Phone color="#fff" />
						</div>
					</div>
				</div>
			</div>
			<div
				className="rounded-[999px] bg-custom-background-light px-8 py-3"
				style={{ border: "1px solid #DEDEDE" }}
			>
				<div className="flex items-center justify-between gap-8">
					<div className="text-[#606676]">
						<p className="mb-1 text-sm">{t("OurEmail")}</p>
						<p className="text-left">{texts?.footer_email}</p>
					</div>
					<div className="">
						<div
							className="flex h-[54px] w-[54px] items-center justify-center rounded-full bg-[#606676]"
							style={{ boxShadow: "6px 6px 12px 0px #B3BCD2BF" }}
						>
							<Mail color="#fff" />
						</div>
					</div>
				</div>
			</div>
		</div>
	);
}

export default ContentCards;
